%% System Identification for Pitch and Altitude
%
%
% Author: Ingrid Hagen Johansen
% Master Thesis spring 2012
% Date: 26.05.2012
%
%
%

%% Load Measured Data

measuredSignals = load('measuredSignals');
delta = load('delta');


%% Pitch and Altitude

% q_dot = [q, theta, delta_e]
y_q = measuredSignals.ans.data(:,13);
phi_q = [measuredSignals.ans.data(:,12) measuredSignals.ans.data(:,2) delta.ans.data(:,3)]';

b_q = ordlsq(y_q,phi_q);

