%% System Identification for Pitch and Altitude
%
%
% Author: Brede Borhaug
% Date: 26.07.2011
% 
% Modified by: Ingrid Hagen Johansen
% Date: 26.05.2012
%


%% X-Plane interface
%   Some modifications to the X-Plane interface block. The interface block
%   is to some extent customized for this simulation by the author. The
%   original block is part of the toolbox delivered by www.uavcontrol.org,
%   and also created by the author

    xplane.udpreceive.sampletime = 1/50;
    xplane.udpreceive.buffersize = 1024;
    xplane.udpreceive.maxlengthmessage = 16;

    xplane.control.flaps = 0;
    xplane.control.spoilers = 0;
    
    xplane.translatesignal.distribution.B = [1 0 0 0 0;
                                             0 180/pi 0 0 0 ;
                                             0 0 180/pi 0 0 ;
                                             0 0 0 180/pi 0 ;
                                             0 0 0 0 180/pi ]; 

    
                                        