%% Saturation for use in Sliding Mode Control
%
%
% Author: Ingrid Hagen Johansen
% Master Thesis spring 2012
% Date: 26.05.2012
%
%
%

%%
function sat_e = sat(s)

phi = 1*pi/180; % Boundary Layer
var = abs(s/phi);

if var > 1
    sat_e = sign(s);
else
    sat_e = s/phi;
end
