/* Include files */

#include "blascompat32.h"
#include "GNCSystem_SM_pitch_sfun.h"
#include "c2_GNCSystem_SM_pitch.h"
#include "mwmathutil.h"
#define CHARTINSTANCE_CHARTNUMBER      (chartInstance->chartNumber)
#define CHARTINSTANCE_INSTANCENUMBER   (chartInstance->instanceNumber)
#include "GNCSystem_SM_pitch_sfun_debug_macros.h"

/* Type Definitions */

/* Named Constants */

/* Variable Declarations */

/* Variable Definitions */
static const char * c2_debug_family_names[10] = { "WP", "R", "nargin", "nargout",
  "waypoints", "xt", "yt", "alpha_xy", "error_xy", "k" };

/* Function Declarations */
static void initialize_c2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance);
static void initialize_params_c2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance);
static void enable_c2_GNCSystem_SM_pitch(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance);
static void disable_c2_GNCSystem_SM_pitch(SFc2_GNCSystem_SM_pitchInstanceStruct *
  chartInstance);
static void c2_update_debugger_state_c2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance);
static const mxArray *get_sim_state_c2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance);
static void set_sim_state_c2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance, const mxArray *c2_st);
static void finalize_c2_GNCSystem_SM_pitch(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance);
static void sf_c2_GNCSystem_SM_pitch(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance);
static void initSimStructsc2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance);
static void init_script_number_translation(uint32_T c2_machineNumber, uint32_T
  c2_chartNumber);
static const mxArray *c2_sf_marshallOut(void *chartInstanceVoid, void *c2_inData);
static real_T c2_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_b_k, const char_T *c2_identifier);
static real_T c2_b_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_u, const emlrtMsgIdentifier *c2_parentId);
static void c2_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c2_mxArrayInData, const char_T *c2_varName, void *c2_outData);
static const mxArray *c2_b_sf_marshallOut(void *chartInstanceVoid, void
  *c2_inData);
static real_T c2_c_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_error_xy, const char_T *c2_identifier);
static real_T c2_d_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_u, const emlrtMsgIdentifier *c2_parentId);
static void c2_b_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c2_mxArrayInData, const char_T *c2_varName, void *c2_outData);
static const mxArray *c2_c_sf_marshallOut(void *chartInstanceVoid, void
  *c2_inData);
static void c2_e_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_u, const emlrtMsgIdentifier *c2_parentId,
  real_T c2_y[8]);
static void c2_c_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c2_mxArrayInData, const char_T *c2_varName, void *c2_outData);
static void c2_info_helper(c2_ResolvedFunctionInfo c2_info[15]);
static real_T c2_mpower(SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance,
  real_T c2_a);
static void c2_eml_scalar_eg(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance);
static void c2_eml_error(SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance);
static real_T c2_atan2(SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance,
  real_T c2_y, real_T c2_x);
static const mxArray *c2_d_sf_marshallOut(void *chartInstanceVoid, void
  *c2_inData);
static int32_T c2_f_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_u, const emlrtMsgIdentifier *c2_parentId);
static void c2_d_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c2_mxArrayInData, const char_T *c2_varName, void *c2_outData);
static uint8_T c2_g_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_b_is_active_c2_GNCSystem_SM_pitch, const
  char_T *c2_identifier);
static uint8_T c2_h_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_u, const emlrtMsgIdentifier *c2_parentId);
static void init_dsm_address_info(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance);

/* Function Definitions */
static void initialize_c2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance)
{
  chartInstance->c2_sfEvent = CALL_EVENT;
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  chartInstance->c2_k_not_empty = FALSE;
  chartInstance->c2_is_active_c2_GNCSystem_SM_pitch = 0U;
}

static void initialize_params_c2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance)
{
}

static void enable_c2_GNCSystem_SM_pitch(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
}

static void disable_c2_GNCSystem_SM_pitch(SFc2_GNCSystem_SM_pitchInstanceStruct *
  chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
}

static void c2_update_debugger_state_c2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance)
{
}

static const mxArray *get_sim_state_c2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance)
{
  const mxArray *c2_st;
  const mxArray *c2_y = NULL;
  real_T c2_hoistedGlobal;
  real_T c2_u;
  const mxArray *c2_b_y = NULL;
  real_T c2_b_hoistedGlobal;
  real_T c2_b_u;
  const mxArray *c2_c_y = NULL;
  real_T c2_c_hoistedGlobal;
  real_T c2_c_u;
  const mxArray *c2_d_y = NULL;
  uint8_T c2_d_hoistedGlobal;
  uint8_T c2_d_u;
  const mxArray *c2_e_y = NULL;
  real_T *c2_alpha_xy;
  real_T *c2_error_xy;
  c2_error_xy = (real_T *)ssGetOutputPortSignal(chartInstance->S, 2);
  c2_alpha_xy = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
  c2_st = NULL;
  c2_st = NULL;
  c2_y = NULL;
  sf_mex_assign(&c2_y, sf_mex_createcellarray(4));
  c2_hoistedGlobal = *c2_alpha_xy;
  c2_u = c2_hoistedGlobal;
  c2_b_y = NULL;
  sf_mex_assign(&c2_b_y, sf_mex_create("y", &c2_u, 0, 0U, 0U, 0U, 0));
  sf_mex_setcell(c2_y, 0, c2_b_y);
  c2_b_hoistedGlobal = *c2_error_xy;
  c2_b_u = c2_b_hoistedGlobal;
  c2_c_y = NULL;
  sf_mex_assign(&c2_c_y, sf_mex_create("y", &c2_b_u, 0, 0U, 0U, 0U, 0));
  sf_mex_setcell(c2_y, 1, c2_c_y);
  c2_c_hoistedGlobal = chartInstance->c2_k;
  c2_c_u = c2_c_hoistedGlobal;
  c2_d_y = NULL;
  if (!chartInstance->c2_k_not_empty) {
    sf_mex_assign(&c2_d_y, sf_mex_create("y", NULL, 0, 0U, 1U, 0U, 2, 0, 0));
  } else {
    sf_mex_assign(&c2_d_y, sf_mex_create("y", &c2_c_u, 0, 0U, 0U, 0U, 0));
  }

  sf_mex_setcell(c2_y, 2, c2_d_y);
  c2_d_hoistedGlobal = chartInstance->c2_is_active_c2_GNCSystem_SM_pitch;
  c2_d_u = c2_d_hoistedGlobal;
  c2_e_y = NULL;
  sf_mex_assign(&c2_e_y, sf_mex_create("y", &c2_d_u, 3, 0U, 0U, 0U, 0));
  sf_mex_setcell(c2_y, 3, c2_e_y);
  sf_mex_assign(&c2_st, c2_y);
  return c2_st;
}

static void set_sim_state_c2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance, const mxArray *c2_st)
{
  const mxArray *c2_u;
  real_T *c2_alpha_xy;
  real_T *c2_error_xy;
  c2_error_xy = (real_T *)ssGetOutputPortSignal(chartInstance->S, 2);
  c2_alpha_xy = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
  chartInstance->c2_doneDoubleBufferReInit = TRUE;
  c2_u = sf_mex_dup(c2_st);
  *c2_alpha_xy = c2_c_emlrt_marshallIn(chartInstance, sf_mex_dup(sf_mex_getcell
    (c2_u, 0)), "alpha_xy");
  *c2_error_xy = c2_c_emlrt_marshallIn(chartInstance, sf_mex_dup(sf_mex_getcell
    (c2_u, 1)), "error_xy");
  chartInstance->c2_k = c2_emlrt_marshallIn(chartInstance, sf_mex_dup
    (sf_mex_getcell(c2_u, 2)), "k");
  chartInstance->c2_is_active_c2_GNCSystem_SM_pitch = c2_g_emlrt_marshallIn
    (chartInstance, sf_mex_dup(sf_mex_getcell(c2_u, 3)),
     "is_active_c2_GNCSystem_SM_pitch");
  sf_mex_destroy(&c2_u);
  c2_update_debugger_state_c2_GNCSystem_SM_pitch(chartInstance);
  sf_mex_destroy(&c2_st);
}

static void finalize_c2_GNCSystem_SM_pitch(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance)
{
}

static void sf_c2_GNCSystem_SM_pitch(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance)
{
  int32_T c2_i0;
  real_T c2_hoistedGlobal;
  real_T c2_b_hoistedGlobal;
  int32_T c2_i1;
  real_T c2_waypoints[8];
  real_T c2_xt;
  real_T c2_yt;
  uint32_T c2_debug_family_var_map[10];
  real_T c2_WP[8];
  real_T c2_R;
  real_T c2_nargin = 3.0;
  real_T c2_nargout = 2.0;
  real_T c2_alpha_xy;
  real_T c2_error_xy;
  int32_T c2_i2;
  real_T c2_c_hoistedGlobal;
  real_T c2_d_hoistedGlobal;
  real_T c2_x;
  real_T c2_b_x;
  real_T c2_e_hoistedGlobal;
  real_T c2_c_x;
  real_T c2_d_x;
  real_T c2_a;
  real_T c2_b;
  real_T c2_y;
  real_T c2_f_hoistedGlobal;
  real_T c2_e_x;
  real_T c2_f_x;
  real_T c2_b_a;
  real_T c2_b_b;
  real_T c2_b_y;
  real_T c2_g_hoistedGlobal;
  real_T c2_g_x;
  real_T c2_h_x;
  real_T c2_c_a;
  real_T c2_c_b;
  real_T c2_c_y;
  real_T c2_h_hoistedGlobal;
  real_T c2_i_x;
  real_T c2_j_x;
  real_T c2_d_a;
  real_T c2_d_b;
  real_T c2_d_y;
  real_T *c2_b_xt;
  real_T *c2_b_alpha_xy;
  real_T *c2_b_error_xy;
  real_T *c2_b_yt;
  real_T (*c2_b_waypoints)[8];
  c2_b_yt = (real_T *)ssGetInputPortSignal(chartInstance->S, 2);
  c2_b_error_xy = (real_T *)ssGetOutputPortSignal(chartInstance->S, 2);
  c2_b_alpha_xy = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
  c2_b_xt = (real_T *)ssGetInputPortSignal(chartInstance->S, 1);
  c2_b_waypoints = (real_T (*)[8])ssGetInputPortSignal(chartInstance->S, 0);
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  _SFD_CC_CALL(CHART_ENTER_SFUNCTION_TAG, 0U, chartInstance->c2_sfEvent);
  for (c2_i0 = 0; c2_i0 < 8; c2_i0++) {
    _SFD_DATA_RANGE_CHECK((*c2_b_waypoints)[c2_i0], 0U);
  }

  _SFD_DATA_RANGE_CHECK(*c2_b_xt, 1U);
  _SFD_DATA_RANGE_CHECK(*c2_b_alpha_xy, 2U);
  _SFD_DATA_RANGE_CHECK(*c2_b_error_xy, 3U);
  _SFD_DATA_RANGE_CHECK(*c2_b_yt, 4U);
  chartInstance->c2_sfEvent = CALL_EVENT;
  _SFD_CC_CALL(CHART_ENTER_DURING_FUNCTION_TAG, 0U, chartInstance->c2_sfEvent);
  c2_hoistedGlobal = *c2_b_xt;
  c2_b_hoistedGlobal = *c2_b_yt;
  for (c2_i1 = 0; c2_i1 < 8; c2_i1++) {
    c2_waypoints[c2_i1] = (*c2_b_waypoints)[c2_i1];
  }

  c2_xt = c2_hoistedGlobal;
  c2_yt = c2_b_hoistedGlobal;
  sf_debug_symbol_scope_push_eml(0U, 10U, 10U, c2_debug_family_names,
    c2_debug_family_var_map);
  sf_debug_symbol_scope_add_eml_importable(c2_WP, 0U, c2_c_sf_marshallOut,
    c2_c_sf_marshallIn);
  sf_debug_symbol_scope_add_eml_importable(&c2_R, 1U, c2_b_sf_marshallOut,
    c2_b_sf_marshallIn);
  sf_debug_symbol_scope_add_eml_importable(&c2_nargin, 2U, c2_b_sf_marshallOut,
    c2_b_sf_marshallIn);
  sf_debug_symbol_scope_add_eml_importable(&c2_nargout, 3U, c2_b_sf_marshallOut,
    c2_b_sf_marshallIn);
  sf_debug_symbol_scope_add_eml(c2_waypoints, 4U, c2_c_sf_marshallOut);
  sf_debug_symbol_scope_add_eml(&c2_xt, 5U, c2_b_sf_marshallOut);
  sf_debug_symbol_scope_add_eml(&c2_yt, 6U, c2_b_sf_marshallOut);
  sf_debug_symbol_scope_add_eml_importable(&c2_alpha_xy, 7U, c2_b_sf_marshallOut,
    c2_b_sf_marshallIn);
  sf_debug_symbol_scope_add_eml_importable(&c2_error_xy, 8U, c2_b_sf_marshallOut,
    c2_b_sf_marshallIn);
  sf_debug_symbol_scope_add_eml_importable(&chartInstance->c2_k, 9U,
    c2_sf_marshallOut, c2_sf_marshallIn);
  CV_EML_FCN(0, 0);
  _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, 6);
  if (CV_EML_IF(0, 0, !chartInstance->c2_k_not_empty)) {
    _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, 7);
    chartInstance->c2_k = 1.0;
    chartInstance->c2_k_not_empty = TRUE;
  }

  _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, 10);
  for (c2_i2 = 0; c2_i2 < 8; c2_i2++) {
    c2_WP[c2_i2] = c2_waypoints[c2_i2];
  }

  _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, 11);
  c2_c_hoistedGlobal = chartInstance->c2_k;
  c2_d_hoistedGlobal = chartInstance->c2_k;
  c2_x = c2_mpower(chartInstance, c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP",
    (int32_T)_SFD_INTEGER_CHECK("k+1", c2_c_hoistedGlobal + 1.0), 1, 4, 1, 0) -
                   1] - c2_xt) + c2_mpower(chartInstance,
    c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP", (int32_T)_SFD_INTEGER_CHECK("k+1",
    c2_d_hoistedGlobal + 1.0), 1, 4, 1, 0) + 3] - c2_yt);
  c2_R = c2_x;
  if (c2_R < 0.0) {
    c2_eml_error(chartInstance);
  }

  c2_b_x = c2_R;
  c2_R = c2_b_x;
  c2_R = muDoubleScalarSqrt(c2_R);
  _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, 12);
  if (CV_EML_IF(0, 1, c2_R <= 1600.0)) {
    _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, 13);
    chartInstance->c2_k++;
    _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, 14);
    c2_alpha_xy = c2_atan2(chartInstance, c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP",
                            (int32_T)_SFD_INTEGER_CHECK("k+1",
      chartInstance->c2_k + 1.0), 1, 4, 1, 0) + 3] -
      c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP", (int32_T)_SFD_INTEGER_CHECK("k",
      chartInstance->c2_k), 1, 4, 1, 0) + 3], c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK(
      "WP", (int32_T)_SFD_INTEGER_CHECK("k+1", chartInstance->c2_k + 1.0), 1, 4,
      1, 0) - 1] - c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP", (int32_T)
      _SFD_INTEGER_CHECK("k", chartInstance->c2_k), 1, 4, 1, 0) - 1]);
    _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, 15);
    c2_e_hoistedGlobal = chartInstance->c2_k;
    c2_c_x = c2_alpha_xy;
    c2_d_x = c2_c_x;
    c2_d_x = muDoubleScalarSin(c2_d_x);
    c2_a = -(c2_xt - c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP", (int32_T)
              _SFD_INTEGER_CHECK("k", c2_e_hoistedGlobal), 1, 4, 1, 0) - 1]);
    c2_b = c2_d_x;
    c2_y = c2_a * c2_b;
    c2_f_hoistedGlobal = chartInstance->c2_k;
    c2_e_x = c2_alpha_xy;
    c2_f_x = c2_e_x;
    c2_f_x = muDoubleScalarCos(c2_f_x);
    c2_b_a = c2_yt - c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP", (int32_T)
      _SFD_INTEGER_CHECK("k", c2_f_hoistedGlobal), 1, 4, 1, 0) + 3];
    c2_b_b = c2_f_x;
    c2_b_y = c2_b_a * c2_b_b;
    c2_error_xy = c2_y + c2_b_y;
  } else {
    _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, 17);
    c2_alpha_xy = c2_atan2(chartInstance, c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP",
                            (int32_T)_SFD_INTEGER_CHECK("k+1",
      chartInstance->c2_k + 1.0), 1, 4, 1, 0) + 3] -
      c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP", (int32_T)_SFD_INTEGER_CHECK("k",
      chartInstance->c2_k), 1, 4, 1, 0) + 3], c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK(
      "WP", (int32_T)_SFD_INTEGER_CHECK("k+1", chartInstance->c2_k + 1.0), 1, 4,
      1, 0) - 1] - c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP", (int32_T)
      _SFD_INTEGER_CHECK("k", chartInstance->c2_k), 1, 4, 1, 0) - 1]);
    _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, 18);
    c2_g_hoistedGlobal = chartInstance->c2_k;
    c2_g_x = c2_alpha_xy;
    c2_h_x = c2_g_x;
    c2_h_x = muDoubleScalarSin(c2_h_x);
    c2_c_a = -(c2_xt - c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP", (int32_T)
                _SFD_INTEGER_CHECK("k", c2_g_hoistedGlobal), 1, 4, 1, 0) - 1]);
    c2_c_b = c2_h_x;
    c2_c_y = c2_c_a * c2_c_b;
    c2_h_hoistedGlobal = chartInstance->c2_k;
    c2_i_x = c2_alpha_xy;
    c2_j_x = c2_i_x;
    c2_j_x = muDoubleScalarCos(c2_j_x);
    c2_d_a = c2_yt - c2_WP[_SFD_EML_ARRAY_BOUNDS_CHECK("WP", (int32_T)
      _SFD_INTEGER_CHECK("k", c2_h_hoistedGlobal), 1, 4, 1, 0) + 3];
    c2_d_b = c2_j_x;
    c2_d_y = c2_d_a * c2_d_b;
    c2_error_xy = c2_c_y + c2_d_y;
  }

  _SFD_EML_CALL(0U, chartInstance->c2_sfEvent, -18);
  sf_debug_symbol_scope_pop();
  *c2_b_alpha_xy = c2_alpha_xy;
  *c2_b_error_xy = c2_error_xy;
  _SFD_CC_CALL(EXIT_OUT_OF_FUNCTION_TAG, 0U, chartInstance->c2_sfEvent);
  sf_debug_check_for_state_inconsistency(_GNCSystem_SM_pitchMachineNumber_,
    chartInstance->chartNumber, chartInstance->instanceNumber);
}

static void initSimStructsc2_GNCSystem_SM_pitch
  (SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance)
{
}

static void init_script_number_translation(uint32_T c2_machineNumber, uint32_T
  c2_chartNumber)
{
}

static const mxArray *c2_sf_marshallOut(void *chartInstanceVoid, void *c2_inData)
{
  const mxArray *c2_mxArrayOutData = NULL;
  real_T c2_u;
  const mxArray *c2_y = NULL;
  SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance;
  chartInstance = (SFc2_GNCSystem_SM_pitchInstanceStruct *)chartInstanceVoid;
  c2_mxArrayOutData = NULL;
  c2_u = *(real_T *)c2_inData;
  c2_y = NULL;
  if (!chartInstance->c2_k_not_empty) {
    sf_mex_assign(&c2_y, sf_mex_create("y", NULL, 0, 0U, 1U, 0U, 2, 0, 0));
  } else {
    sf_mex_assign(&c2_y, sf_mex_create("y", &c2_u, 0, 0U, 0U, 0U, 0));
  }

  sf_mex_assign(&c2_mxArrayOutData, c2_y);
  return c2_mxArrayOutData;
}

static real_T c2_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_b_k, const char_T *c2_identifier)
{
  real_T c2_y;
  emlrtMsgIdentifier c2_thisId;
  c2_thisId.fIdentifier = c2_identifier;
  c2_thisId.fParent = NULL;
  c2_y = c2_b_emlrt_marshallIn(chartInstance, sf_mex_dup(c2_b_k), &c2_thisId);
  sf_mex_destroy(&c2_b_k);
  return c2_y;
}

static real_T c2_b_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_u, const emlrtMsgIdentifier *c2_parentId)
{
  real_T c2_y;
  real_T c2_d0;
  if (mxIsEmpty(c2_u)) {
    chartInstance->c2_k_not_empty = FALSE;
  } else {
    chartInstance->c2_k_not_empty = TRUE;
    sf_mex_import(c2_parentId, sf_mex_dup(c2_u), &c2_d0, 1, 0, 0U, 0, 0U, 0);
    c2_y = c2_d0;
  }

  sf_mex_destroy(&c2_u);
  return c2_y;
}

static void c2_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c2_mxArrayInData, const char_T *c2_varName, void *c2_outData)
{
  const mxArray *c2_b_k;
  const char_T *c2_identifier;
  emlrtMsgIdentifier c2_thisId;
  real_T c2_y;
  SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance;
  chartInstance = (SFc2_GNCSystem_SM_pitchInstanceStruct *)chartInstanceVoid;
  c2_b_k = sf_mex_dup(c2_mxArrayInData);
  c2_identifier = c2_varName;
  c2_thisId.fIdentifier = c2_identifier;
  c2_thisId.fParent = NULL;
  c2_y = c2_b_emlrt_marshallIn(chartInstance, sf_mex_dup(c2_b_k), &c2_thisId);
  sf_mex_destroy(&c2_b_k);
  *(real_T *)c2_outData = c2_y;
  sf_mex_destroy(&c2_mxArrayInData);
}

static const mxArray *c2_b_sf_marshallOut(void *chartInstanceVoid, void
  *c2_inData)
{
  const mxArray *c2_mxArrayOutData = NULL;
  real_T c2_u;
  const mxArray *c2_y = NULL;
  SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance;
  chartInstance = (SFc2_GNCSystem_SM_pitchInstanceStruct *)chartInstanceVoid;
  c2_mxArrayOutData = NULL;
  c2_u = *(real_T *)c2_inData;
  c2_y = NULL;
  sf_mex_assign(&c2_y, sf_mex_create("y", &c2_u, 0, 0U, 0U, 0U, 0));
  sf_mex_assign(&c2_mxArrayOutData, c2_y);
  return c2_mxArrayOutData;
}

static real_T c2_c_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_error_xy, const char_T *c2_identifier)
{
  real_T c2_y;
  emlrtMsgIdentifier c2_thisId;
  c2_thisId.fIdentifier = c2_identifier;
  c2_thisId.fParent = NULL;
  c2_y = c2_d_emlrt_marshallIn(chartInstance, sf_mex_dup(c2_error_xy),
    &c2_thisId);
  sf_mex_destroy(&c2_error_xy);
  return c2_y;
}

static real_T c2_d_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_u, const emlrtMsgIdentifier *c2_parentId)
{
  real_T c2_y;
  real_T c2_d1;
  sf_mex_import(c2_parentId, sf_mex_dup(c2_u), &c2_d1, 1, 0, 0U, 0, 0U, 0);
  c2_y = c2_d1;
  sf_mex_destroy(&c2_u);
  return c2_y;
}

static void c2_b_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c2_mxArrayInData, const char_T *c2_varName, void *c2_outData)
{
  const mxArray *c2_error_xy;
  const char_T *c2_identifier;
  emlrtMsgIdentifier c2_thisId;
  real_T c2_y;
  SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance;
  chartInstance = (SFc2_GNCSystem_SM_pitchInstanceStruct *)chartInstanceVoid;
  c2_error_xy = sf_mex_dup(c2_mxArrayInData);
  c2_identifier = c2_varName;
  c2_thisId.fIdentifier = c2_identifier;
  c2_thisId.fParent = NULL;
  c2_y = c2_d_emlrt_marshallIn(chartInstance, sf_mex_dup(c2_error_xy),
    &c2_thisId);
  sf_mex_destroy(&c2_error_xy);
  *(real_T *)c2_outData = c2_y;
  sf_mex_destroy(&c2_mxArrayInData);
}

static const mxArray *c2_c_sf_marshallOut(void *chartInstanceVoid, void
  *c2_inData)
{
  const mxArray *c2_mxArrayOutData = NULL;
  int32_T c2_i3;
  int32_T c2_i4;
  int32_T c2_i5;
  real_T c2_b_inData[8];
  int32_T c2_i6;
  int32_T c2_i7;
  int32_T c2_i8;
  real_T c2_u[8];
  const mxArray *c2_y = NULL;
  SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance;
  chartInstance = (SFc2_GNCSystem_SM_pitchInstanceStruct *)chartInstanceVoid;
  c2_mxArrayOutData = NULL;
  c2_i3 = 0;
  for (c2_i4 = 0; c2_i4 < 2; c2_i4++) {
    for (c2_i5 = 0; c2_i5 < 4; c2_i5++) {
      c2_b_inData[c2_i5 + c2_i3] = (*(real_T (*)[8])c2_inData)[c2_i5 + c2_i3];
    }

    c2_i3 += 4;
  }

  c2_i6 = 0;
  for (c2_i7 = 0; c2_i7 < 2; c2_i7++) {
    for (c2_i8 = 0; c2_i8 < 4; c2_i8++) {
      c2_u[c2_i8 + c2_i6] = c2_b_inData[c2_i8 + c2_i6];
    }

    c2_i6 += 4;
  }

  c2_y = NULL;
  sf_mex_assign(&c2_y, sf_mex_create("y", c2_u, 0, 0U, 1U, 0U, 2, 4, 2));
  sf_mex_assign(&c2_mxArrayOutData, c2_y);
  return c2_mxArrayOutData;
}

static void c2_e_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_u, const emlrtMsgIdentifier *c2_parentId,
  real_T c2_y[8])
{
  real_T c2_dv0[8];
  int32_T c2_i9;
  sf_mex_import(c2_parentId, sf_mex_dup(c2_u), c2_dv0, 1, 0, 0U, 1, 0U, 2, 4, 2);
  for (c2_i9 = 0; c2_i9 < 8; c2_i9++) {
    c2_y[c2_i9] = c2_dv0[c2_i9];
  }

  sf_mex_destroy(&c2_u);
}

static void c2_c_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c2_mxArrayInData, const char_T *c2_varName, void *c2_outData)
{
  const mxArray *c2_WP;
  const char_T *c2_identifier;
  emlrtMsgIdentifier c2_thisId;
  real_T c2_y[8];
  int32_T c2_i10;
  int32_T c2_i11;
  int32_T c2_i12;
  SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance;
  chartInstance = (SFc2_GNCSystem_SM_pitchInstanceStruct *)chartInstanceVoid;
  c2_WP = sf_mex_dup(c2_mxArrayInData);
  c2_identifier = c2_varName;
  c2_thisId.fIdentifier = c2_identifier;
  c2_thisId.fParent = NULL;
  c2_e_emlrt_marshallIn(chartInstance, sf_mex_dup(c2_WP), &c2_thisId, c2_y);
  sf_mex_destroy(&c2_WP);
  c2_i10 = 0;
  for (c2_i11 = 0; c2_i11 < 2; c2_i11++) {
    for (c2_i12 = 0; c2_i12 < 4; c2_i12++) {
      (*(real_T (*)[8])c2_outData)[c2_i12 + c2_i10] = c2_y[c2_i12 + c2_i10];
    }

    c2_i10 += 4;
  }

  sf_mex_destroy(&c2_mxArrayInData);
}

const mxArray *sf_c2_GNCSystem_SM_pitch_get_eml_resolved_functions_info(void)
{
  const mxArray *c2_nameCaptureInfo;
  c2_ResolvedFunctionInfo c2_info[15];
  const mxArray *c2_m0 = NULL;
  int32_T c2_i13;
  c2_ResolvedFunctionInfo *c2_r0;
  c2_nameCaptureInfo = NULL;
  c2_nameCaptureInfo = NULL;
  c2_info_helper(c2_info);
  sf_mex_assign(&c2_m0, sf_mex_createstruct("nameCaptureInfo", 1, 15));
  for (c2_i13 = 0; c2_i13 < 15; c2_i13++) {
    c2_r0 = &c2_info[c2_i13];
    sf_mex_addfield(c2_m0, sf_mex_create("nameCaptureInfo", c2_r0->context, 15,
      0U, 0U, 0U, 2, 1, strlen(c2_r0->context)), "context", "nameCaptureInfo",
                    c2_i13);
    sf_mex_addfield(c2_m0, sf_mex_create("nameCaptureInfo", c2_r0->name, 15, 0U,
      0U, 0U, 2, 1, strlen(c2_r0->name)), "name", "nameCaptureInfo", c2_i13);
    sf_mex_addfield(c2_m0, sf_mex_create("nameCaptureInfo", c2_r0->dominantType,
      15, 0U, 0U, 0U, 2, 1, strlen(c2_r0->dominantType)), "dominantType",
                    "nameCaptureInfo", c2_i13);
    sf_mex_addfield(c2_m0, sf_mex_create("nameCaptureInfo", c2_r0->resolved, 15,
      0U, 0U, 0U, 2, 1, strlen(c2_r0->resolved)), "resolved", "nameCaptureInfo",
                    c2_i13);
    sf_mex_addfield(c2_m0, sf_mex_create("nameCaptureInfo", &c2_r0->fileTimeLo,
      7, 0U, 0U, 0U, 0), "fileTimeLo", "nameCaptureInfo", c2_i13);
    sf_mex_addfield(c2_m0, sf_mex_create("nameCaptureInfo", &c2_r0->fileTimeHi,
      7, 0U, 0U, 0U, 0), "fileTimeHi", "nameCaptureInfo", c2_i13);
    sf_mex_addfield(c2_m0, sf_mex_create("nameCaptureInfo", &c2_r0->mFileTimeLo,
      7, 0U, 0U, 0U, 0), "mFileTimeLo", "nameCaptureInfo", c2_i13);
    sf_mex_addfield(c2_m0, sf_mex_create("nameCaptureInfo", &c2_r0->mFileTimeHi,
      7, 0U, 0U, 0U, 0), "mFileTimeHi", "nameCaptureInfo", c2_i13);
  }

  sf_mex_assign(&c2_nameCaptureInfo, c2_m0);
  return c2_nameCaptureInfo;
}

static void c2_info_helper(c2_ResolvedFunctionInfo c2_info[15])
{
  c2_info[0].context = "";
  c2_info[0].name = "mpower";
  c2_info[0].dominantType = "double";
  c2_info[0].resolved = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mpower.m";
  c2_info[0].fileTimeLo = 1827391744U;
  c2_info[0].fileTimeHi = 30108011U;
  c2_info[0].mFileTimeLo = 0U;
  c2_info[0].mFileTimeHi = 0U;
  c2_info[1].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mpower.m";
  c2_info[1].name = "power";
  c2_info[1].dominantType = "double";
  c2_info[1].resolved = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/power.m";
  c2_info[1].fileTimeLo = 1847391744U;
  c2_info[1].fileTimeHi = 30108011U;
  c2_info[1].mFileTimeLo = 0U;
  c2_info[1].mFileTimeHi = 0U;
  c2_info[2].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/power.m";
  c2_info[2].name = "eml_scalar_eg";
  c2_info[2].dominantType = "double";
  c2_info[2].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_scalar_eg.m";
  c2_info[2].fileTimeLo = 1367391744U;
  c2_info[2].fileTimeHi = 30108011U;
  c2_info[2].mFileTimeLo = 0U;
  c2_info[2].mFileTimeHi = 0U;
  c2_info[3].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/power.m";
  c2_info[3].name = "eml_scalexp_alloc";
  c2_info[3].dominantType = "double";
  c2_info[3].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_scalexp_alloc.m";
  c2_info[3].fileTimeLo = 1367391744U;
  c2_info[3].fileTimeHi = 30108011U;
  c2_info[3].mFileTimeLo = 0U;
  c2_info[3].mFileTimeHi = 0U;
  c2_info[4].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/power.m";
  c2_info[4].name = "eml_scalar_floor";
  c2_info[4].dominantType = "double";
  c2_info[4].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_floor.m";
  c2_info[4].fileTimeLo = 667391744U;
  c2_info[4].fileTimeHi = 30108011U;
  c2_info[4].mFileTimeLo = 0U;
  c2_info[4].mFileTimeHi = 0U;
  c2_info[5].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/power.m";
  c2_info[5].name = "eml_error";
  c2_info[5].dominantType = "char";
  c2_info[5].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_error.m";
  c2_info[5].fileTimeLo = 407391744U;
  c2_info[5].fileTimeHi = 30108011U;
  c2_info[5].mFileTimeLo = 0U;
  c2_info[5].mFileTimeHi = 0U;
  c2_info[6].context = "";
  c2_info[6].name = "sqrt";
  c2_info[6].dominantType = "double";
  c2_info[6].resolved = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/sqrt.m";
  c2_info[6].fileTimeLo = 927391744U;
  c2_info[6].fileTimeHi = 30108011U;
  c2_info[6].mFileTimeLo = 0U;
  c2_info[6].mFileTimeHi = 0U;
  c2_info[7].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/sqrt.m";
  c2_info[7].name = "eml_scalar_sqrt";
  c2_info[7].dominantType = "double";
  c2_info[7].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_sqrt.m";
  c2_info[7].fileTimeLo = 787391744U;
  c2_info[7].fileTimeHi = 30108011U;
  c2_info[7].mFileTimeLo = 0U;
  c2_info[7].mFileTimeHi = 0U;
  c2_info[8].context = "";
  c2_info[8].name = "atan2";
  c2_info[8].dominantType = "double";
  c2_info[8].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/atan2.m";
  c2_info[8].fileTimeLo = 447391744U;
  c2_info[8].fileTimeHi = 30108011U;
  c2_info[8].mFileTimeLo = 0U;
  c2_info[8].mFileTimeHi = 0U;
  c2_info[9].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/atan2.m";
  c2_info[9].name = "eml_scalar_atan2";
  c2_info[9].dominantType = "double";
  c2_info[9].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_atan2.m";
  c2_info[9].fileTimeLo = 607391744U;
  c2_info[9].fileTimeHi = 30108011U;
  c2_info[9].mFileTimeLo = 0U;
  c2_info[9].mFileTimeHi = 0U;
  c2_info[10].context = "";
  c2_info[10].name = "sin";
  c2_info[10].dominantType = "double";
  c2_info[10].resolved = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/sin.m";
  c2_info[10].fileTimeLo = 907391744U;
  c2_info[10].fileTimeHi = 30108011U;
  c2_info[10].mFileTimeLo = 0U;
  c2_info[10].mFileTimeHi = 0U;
  c2_info[11].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/sin.m";
  c2_info[11].name = "eml_scalar_sin";
  c2_info[11].dominantType = "double";
  c2_info[11].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_sin.m";
  c2_info[11].fileTimeLo = 767391744U;
  c2_info[11].fileTimeHi = 30108011U;
  c2_info[11].mFileTimeLo = 0U;
  c2_info[11].mFileTimeHi = 0U;
  c2_info[12].context = "";
  c2_info[12].name = "mtimes";
  c2_info[12].dominantType = "double";
  c2_info[12].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c2_info[12].fileTimeLo = 3573034496U;
  c2_info[12].fileTimeHi = 30114299U;
  c2_info[12].mFileTimeLo = 0U;
  c2_info[12].mFileTimeHi = 0U;
  c2_info[13].context = "";
  c2_info[13].name = "cos";
  c2_info[13].dominantType = "double";
  c2_info[13].resolved = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/cos.m";
  c2_info[13].fileTimeLo = 467391744U;
  c2_info[13].fileTimeHi = 30108011U;
  c2_info[13].mFileTimeLo = 0U;
  c2_info[13].mFileTimeHi = 0U;
  c2_info[14].context = "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/cos.m";
  c2_info[14].name = "eml_scalar_cos";
  c2_info[14].dominantType = "double";
  c2_info[14].resolved =
    "[ILXE]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_cos.m";
  c2_info[14].fileTimeLo = 627391744U;
  c2_info[14].fileTimeHi = 30108011U;
  c2_info[14].mFileTimeLo = 0U;
  c2_info[14].mFileTimeHi = 0U;
}

static real_T c2_mpower(SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance,
  real_T c2_a)
{
  real_T c2_b_a;
  real_T c2_ak;
  c2_b_a = c2_a;
  c2_eml_scalar_eg(chartInstance);
  c2_ak = c2_b_a;
  return muDoubleScalarPower(c2_ak, 2.0);
}

static void c2_eml_scalar_eg(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance)
{
}

static void c2_eml_error(SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance)
{
  int32_T c2_i14;
  static char_T c2_varargin_1[30] = { 'C', 'o', 'd', 'e', 'r', ':', 't', 'o',
    'o', 'l', 'b', 'o', 'x', ':', 's', 'q', 'r', 't', '_', 'd', 'o', 'm', 'a',
    'i', 'n', 'E', 'r', 'r', 'o', 'r' };

  char_T c2_u[30];
  const mxArray *c2_y = NULL;
  for (c2_i14 = 0; c2_i14 < 30; c2_i14++) {
    c2_u[c2_i14] = c2_varargin_1[c2_i14];
  }

  c2_y = NULL;
  sf_mex_assign(&c2_y, sf_mex_create("y", c2_u, 10, 0U, 1U, 0U, 2, 1, 30));
  sf_mex_call_debug("error", 0U, 1U, 14, sf_mex_call_debug("message", 1U, 1U, 14,
    c2_y));
}

static real_T c2_atan2(SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance,
  real_T c2_y, real_T c2_x)
{
  real_T c2_b_y;
  real_T c2_b_x;
  c2_eml_scalar_eg(chartInstance);
  c2_b_y = c2_y;
  c2_b_x = c2_x;
  return muDoubleScalarAtan2(c2_b_y, c2_b_x);
}

static const mxArray *c2_d_sf_marshallOut(void *chartInstanceVoid, void
  *c2_inData)
{
  const mxArray *c2_mxArrayOutData = NULL;
  int32_T c2_u;
  const mxArray *c2_y = NULL;
  SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance;
  chartInstance = (SFc2_GNCSystem_SM_pitchInstanceStruct *)chartInstanceVoid;
  c2_mxArrayOutData = NULL;
  c2_u = *(int32_T *)c2_inData;
  c2_y = NULL;
  sf_mex_assign(&c2_y, sf_mex_create("y", &c2_u, 6, 0U, 0U, 0U, 0));
  sf_mex_assign(&c2_mxArrayOutData, c2_y);
  return c2_mxArrayOutData;
}

static int32_T c2_f_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_u, const emlrtMsgIdentifier *c2_parentId)
{
  int32_T c2_y;
  int32_T c2_i15;
  sf_mex_import(c2_parentId, sf_mex_dup(c2_u), &c2_i15, 1, 6, 0U, 0, 0U, 0);
  c2_y = c2_i15;
  sf_mex_destroy(&c2_u);
  return c2_y;
}

static void c2_d_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c2_mxArrayInData, const char_T *c2_varName, void *c2_outData)
{
  const mxArray *c2_b_sfEvent;
  const char_T *c2_identifier;
  emlrtMsgIdentifier c2_thisId;
  int32_T c2_y;
  SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance;
  chartInstance = (SFc2_GNCSystem_SM_pitchInstanceStruct *)chartInstanceVoid;
  c2_b_sfEvent = sf_mex_dup(c2_mxArrayInData);
  c2_identifier = c2_varName;
  c2_thisId.fIdentifier = c2_identifier;
  c2_thisId.fParent = NULL;
  c2_y = c2_f_emlrt_marshallIn(chartInstance, sf_mex_dup(c2_b_sfEvent),
    &c2_thisId);
  sf_mex_destroy(&c2_b_sfEvent);
  *(int32_T *)c2_outData = c2_y;
  sf_mex_destroy(&c2_mxArrayInData);
}

static uint8_T c2_g_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_b_is_active_c2_GNCSystem_SM_pitch, const
  char_T *c2_identifier)
{
  uint8_T c2_y;
  emlrtMsgIdentifier c2_thisId;
  c2_thisId.fIdentifier = c2_identifier;
  c2_thisId.fParent = NULL;
  c2_y = c2_h_emlrt_marshallIn(chartInstance, sf_mex_dup
    (c2_b_is_active_c2_GNCSystem_SM_pitch), &c2_thisId);
  sf_mex_destroy(&c2_b_is_active_c2_GNCSystem_SM_pitch);
  return c2_y;
}

static uint8_T c2_h_emlrt_marshallIn(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance, const mxArray *c2_u, const emlrtMsgIdentifier *c2_parentId)
{
  uint8_T c2_y;
  uint8_T c2_u0;
  sf_mex_import(c2_parentId, sf_mex_dup(c2_u), &c2_u0, 1, 3, 0U, 0, 0U, 0);
  c2_y = c2_u0;
  sf_mex_destroy(&c2_u);
  return c2_y;
}

static void init_dsm_address_info(SFc2_GNCSystem_SM_pitchInstanceStruct
  *chartInstance)
{
}

/* SFunction Glue Code */
void sf_c2_GNCSystem_SM_pitch_get_check_sum(mxArray *plhs[])
{
  ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(812777186U);
  ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(1105606429U);
  ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(627922306U);
  ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(3856328687U);
}

mxArray *sf_c2_GNCSystem_SM_pitch_get_autoinheritance_info(void)
{
  const char *autoinheritanceFields[] = { "checksum", "inputs", "parameters",
    "outputs", "locals" };

  mxArray *mxAutoinheritanceInfo = mxCreateStructMatrix(1,1,5,
    autoinheritanceFields);

  {
    mxArray *mxChecksum = mxCreateDoubleMatrix(4,1,mxREAL);
    double *pr = mxGetPr(mxChecksum);
    pr[0] = (double)(3966547822U);
    pr[1] = (double)(1591761929U);
    pr[2] = (double)(1380613912U);
    pr[3] = (double)(1357430784U);
    mxSetField(mxAutoinheritanceInfo,0,"checksum",mxChecksum);
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,3,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(4);
      pr[1] = (double)(2);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,1,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,1,"type",mxType);
    }

    mxSetField(mxData,1,"complexity",mxCreateDoubleScalar(0));

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,2,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,2,"type",mxType);
    }

    mxSetField(mxData,2,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"inputs",mxData);
  }

  {
    mxSetField(mxAutoinheritanceInfo,0,"parameters",mxCreateDoubleMatrix(0,0,
                mxREAL));
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,2,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,1,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,1,"type",mxType);
    }

    mxSetField(mxData,1,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"outputs",mxData);
  }

  {
    mxSetField(mxAutoinheritanceInfo,0,"locals",mxCreateDoubleMatrix(0,0,mxREAL));
  }

  return(mxAutoinheritanceInfo);
}

static const mxArray *sf_get_sim_state_info_c2_GNCSystem_SM_pitch(void)
{
  const char *infoFields[] = { "chartChecksum", "varInfo" };

  mxArray *mxInfo = mxCreateStructMatrix(1, 1, 2, infoFields);
  const char *infoEncStr[] = {
    "100 S1x4'type','srcId','name','auxInfo'{{M[1],M[7],T\"alpha_xy\",},{M[1],M[8],T\"error_xy\",},{M[4],M[0],T\"k\",S'l','i','p'{{M1x2[77 78],M[0],}}},{M[8],M[0],T\"is_active_c2_GNCSystem_SM_pitch\",}}"
  };

  mxArray *mxVarInfo = sf_mex_decode_encoded_mx_struct_array(infoEncStr, 4, 10);
  mxArray *mxChecksum = mxCreateDoubleMatrix(1, 4, mxREAL);
  sf_c2_GNCSystem_SM_pitch_get_check_sum(&mxChecksum);
  mxSetField(mxInfo, 0, infoFields[0], mxChecksum);
  mxSetField(mxInfo, 0, infoFields[1], mxVarInfo);
  return mxInfo;
}

static void chart_debug_initialization(SimStruct *S, unsigned int
  fullDebuggerInitialization)
{
  if (!sim_mode_is_rtw_gen(S)) {
    SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance;
    chartInstance = (SFc2_GNCSystem_SM_pitchInstanceStruct *) ((ChartInfoStruct *)
      (ssGetUserData(S)))->chartInstance;
    if (ssIsFirstInitCond(S) && fullDebuggerInitialization==1) {
      /* do this only if simulation is starting */
      {
        unsigned int chartAlreadyPresent;
        chartAlreadyPresent = sf_debug_initialize_chart
          (_GNCSystem_SM_pitchMachineNumber_,
           2,
           1,
           1,
           5,
           0,
           0,
           0,
           0,
           0,
           &(chartInstance->chartNumber),
           &(chartInstance->instanceNumber),
           ssGetPath(S),
           (void *)S);
        if (chartAlreadyPresent==0) {
          /* this is the first instance */
          init_script_number_translation(_GNCSystem_SM_pitchMachineNumber_,
            chartInstance->chartNumber);
          sf_debug_set_chart_disable_implicit_casting
            (_GNCSystem_SM_pitchMachineNumber_,chartInstance->chartNumber,1);
          sf_debug_set_chart_event_thresholds(_GNCSystem_SM_pitchMachineNumber_,
            chartInstance->chartNumber,
            0,
            0,
            0);
          _SFD_SET_DATA_PROPS(0,1,1,0,"waypoints");
          _SFD_SET_DATA_PROPS(1,1,1,0,"xt");
          _SFD_SET_DATA_PROPS(2,2,0,1,"alpha_xy");
          _SFD_SET_DATA_PROPS(3,2,0,1,"error_xy");
          _SFD_SET_DATA_PROPS(4,1,1,0,"yt");
          _SFD_STATE_INFO(0,0,2);
          _SFD_CH_SUBSTATE_COUNT(0);
          _SFD_CH_SUBSTATE_DECOMP(0);
        }

        _SFD_CV_INIT_CHART(0,0,0,0);

        {
          _SFD_CV_INIT_STATE(0,0,0,0,0,0,NULL,NULL);
        }

        _SFD_CV_INIT_TRANS(0,0,NULL,NULL,0,NULL);

        /* Initialization of MATLAB Function Model Coverage */
        _SFD_CV_INIT_EML(0,1,2,0,0,0,0,0,0);
        _SFD_CV_INIT_EML_FCN(0,0,"eML_blk_kernel",0,-1,498);
        _SFD_CV_INIT_EML_IF(0,0,81,94,-1,107);
        _SFD_CV_INIT_EML_IF(0,1,172,184,343,497);
        _SFD_TRANS_COV_WTS(0,0,0,1,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(0,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              1,NULL,NULL,
                              0,NULL,NULL);
        }

        {
          unsigned int dimVector[2];
          dimVector[0]= 4;
          dimVector[1]= 2;
          _SFD_SET_DATA_COMPILED_PROPS(0,SF_DOUBLE,2,&(dimVector[0]),0,0,0,0.0,
            1.0,0,0,(MexFcnForType)c2_c_sf_marshallOut,(MexInFcnForType)NULL);
        }

        _SFD_SET_DATA_COMPILED_PROPS(1,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c2_b_sf_marshallOut,(MexInFcnForType)NULL);
        _SFD_SET_DATA_COMPILED_PROPS(2,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c2_b_sf_marshallOut,(MexInFcnForType)c2_b_sf_marshallIn);
        _SFD_SET_DATA_COMPILED_PROPS(3,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c2_b_sf_marshallOut,(MexInFcnForType)c2_b_sf_marshallIn);
        _SFD_SET_DATA_COMPILED_PROPS(4,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c2_b_sf_marshallOut,(MexInFcnForType)NULL);

        {
          real_T *c2_xt;
          real_T *c2_alpha_xy;
          real_T *c2_error_xy;
          real_T *c2_yt;
          real_T (*c2_waypoints)[8];
          c2_yt = (real_T *)ssGetInputPortSignal(chartInstance->S, 2);
          c2_error_xy = (real_T *)ssGetOutputPortSignal(chartInstance->S, 2);
          c2_alpha_xy = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
          c2_xt = (real_T *)ssGetInputPortSignal(chartInstance->S, 1);
          c2_waypoints = (real_T (*)[8])ssGetInputPortSignal(chartInstance->S, 0);
          _SFD_SET_DATA_VALUE_PTR(0U, *c2_waypoints);
          _SFD_SET_DATA_VALUE_PTR(1U, c2_xt);
          _SFD_SET_DATA_VALUE_PTR(2U, c2_alpha_xy);
          _SFD_SET_DATA_VALUE_PTR(3U, c2_error_xy);
          _SFD_SET_DATA_VALUE_PTR(4U, c2_yt);
        }
      }
    } else {
      sf_debug_reset_current_state_configuration
        (_GNCSystem_SM_pitchMachineNumber_,chartInstance->chartNumber,
         chartInstance->instanceNumber);
    }
  }
}

static void sf_opaque_initialize_c2_GNCSystem_SM_pitch(void *chartInstanceVar)
{
  chart_debug_initialization(((SFc2_GNCSystem_SM_pitchInstanceStruct*)
    chartInstanceVar)->S,0);
  initialize_params_c2_GNCSystem_SM_pitch((SFc2_GNCSystem_SM_pitchInstanceStruct*)
    chartInstanceVar);
  initialize_c2_GNCSystem_SM_pitch((SFc2_GNCSystem_SM_pitchInstanceStruct*)
    chartInstanceVar);
}

static void sf_opaque_enable_c2_GNCSystem_SM_pitch(void *chartInstanceVar)
{
  enable_c2_GNCSystem_SM_pitch((SFc2_GNCSystem_SM_pitchInstanceStruct*)
    chartInstanceVar);
}

static void sf_opaque_disable_c2_GNCSystem_SM_pitch(void *chartInstanceVar)
{
  disable_c2_GNCSystem_SM_pitch((SFc2_GNCSystem_SM_pitchInstanceStruct*)
    chartInstanceVar);
}

static void sf_opaque_gateway_c2_GNCSystem_SM_pitch(void *chartInstanceVar)
{
  sf_c2_GNCSystem_SM_pitch((SFc2_GNCSystem_SM_pitchInstanceStruct*)
    chartInstanceVar);
}

extern const mxArray* sf_internal_get_sim_state_c2_GNCSystem_SM_pitch(SimStruct*
  S)
{
  ChartInfoStruct *chartInfo = (ChartInfoStruct*) ssGetUserData(S);
  mxArray *plhs[1] = { NULL };

  mxArray *prhs[4];
  int mxError = 0;
  prhs[0] = mxCreateString("chart_simctx_raw2high");
  prhs[1] = mxCreateDoubleScalar(ssGetSFuncBlockHandle(S));
  prhs[2] = (mxArray*) get_sim_state_c2_GNCSystem_SM_pitch
    ((SFc2_GNCSystem_SM_pitchInstanceStruct*)chartInfo->chartInstance);/* raw sim ctx */
  prhs[3] = (mxArray*) sf_get_sim_state_info_c2_GNCSystem_SM_pitch();/* state var info */
  mxError = sf_mex_call_matlab(1, plhs, 4, prhs, "sfprivate");
  mxDestroyArray(prhs[0]);
  mxDestroyArray(prhs[1]);
  mxDestroyArray(prhs[2]);
  mxDestroyArray(prhs[3]);
  if (mxError || plhs[0] == NULL) {
    sf_mex_error_message("Stateflow Internal Error: \nError calling 'chart_simctx_raw2high'.\n");
  }

  return plhs[0];
}

extern void sf_internal_set_sim_state_c2_GNCSystem_SM_pitch(SimStruct* S, const
  mxArray *st)
{
  ChartInfoStruct *chartInfo = (ChartInfoStruct*) ssGetUserData(S);
  mxArray *plhs[1] = { NULL };

  mxArray *prhs[4];
  int mxError = 0;
  prhs[0] = mxCreateString("chart_simctx_high2raw");
  prhs[1] = mxCreateDoubleScalar(ssGetSFuncBlockHandle(S));
  prhs[2] = mxDuplicateArray(st);      /* high level simctx */
  prhs[3] = (mxArray*) sf_get_sim_state_info_c2_GNCSystem_SM_pitch();/* state var info */
  mxError = sf_mex_call_matlab(1, plhs, 4, prhs, "sfprivate");
  mxDestroyArray(prhs[0]);
  mxDestroyArray(prhs[1]);
  mxDestroyArray(prhs[2]);
  mxDestroyArray(prhs[3]);
  if (mxError || plhs[0] == NULL) {
    sf_mex_error_message("Stateflow Internal Error: \nError calling 'chart_simctx_high2raw'.\n");
  }

  set_sim_state_c2_GNCSystem_SM_pitch((SFc2_GNCSystem_SM_pitchInstanceStruct*)
    chartInfo->chartInstance, mxDuplicateArray(plhs[0]));
  mxDestroyArray(plhs[0]);
}

static const mxArray* sf_opaque_get_sim_state_c2_GNCSystem_SM_pitch(SimStruct* S)
{
  return sf_internal_get_sim_state_c2_GNCSystem_SM_pitch(S);
}

static void sf_opaque_set_sim_state_c2_GNCSystem_SM_pitch(SimStruct* S, const
  mxArray *st)
{
  sf_internal_set_sim_state_c2_GNCSystem_SM_pitch(S, st);
}

static void sf_opaque_terminate_c2_GNCSystem_SM_pitch(void *chartInstanceVar)
{
  if (chartInstanceVar!=NULL) {
    SimStruct *S = ((SFc2_GNCSystem_SM_pitchInstanceStruct*) chartInstanceVar)
      ->S;
    if (sim_mode_is_rtw_gen(S) || sim_mode_is_external(S)) {
      sf_clear_rtw_identifier(S);
    }

    finalize_c2_GNCSystem_SM_pitch((SFc2_GNCSystem_SM_pitchInstanceStruct*)
      chartInstanceVar);
    free((void *)chartInstanceVar);
    ssSetUserData(S,NULL);
  }
}

static void sf_opaque_init_subchart_simstructs(void *chartInstanceVar)
{
  initSimStructsc2_GNCSystem_SM_pitch((SFc2_GNCSystem_SM_pitchInstanceStruct*)
    chartInstanceVar);
}

extern unsigned int sf_machine_global_initializer_called(void);
static void mdlProcessParameters_c2_GNCSystem_SM_pitch(SimStruct *S)
{
  int i;
  for (i=0;i<ssGetNumRunTimeParams(S);i++) {
    if (ssGetSFcnParamTunable(S,i)) {
      ssUpdateDlgParamAsRunTimeParam(S,i);
    }
  }

  if (sf_machine_global_initializer_called()) {
    initialize_params_c2_GNCSystem_SM_pitch
      ((SFc2_GNCSystem_SM_pitchInstanceStruct*)(((ChartInfoStruct *)
         ssGetUserData(S))->chartInstance));
  }
}

static void mdlSetWorkWidths_c2_GNCSystem_SM_pitch(SimStruct *S)
{
  if (sim_mode_is_rtw_gen(S) || sim_mode_is_external(S)) {
    int_T chartIsInlinable =
      (int_T)sf_is_chart_inlinable(S,"GNCSystem_SM_pitch","GNCSystem_SM_pitch",2);
    ssSetStateflowIsInlinable(S,chartIsInlinable);
    ssSetRTWCG(S,sf_rtw_info_uint_prop(S,"GNCSystem_SM_pitch",
                "GNCSystem_SM_pitch",2,"RTWCG"));
    ssSetEnableFcnIsTrivial(S,1);
    ssSetDisableFcnIsTrivial(S,1);
    ssSetNotMultipleInlinable(S,sf_rtw_info_uint_prop(S,"GNCSystem_SM_pitch",
      "GNCSystem_SM_pitch",2,"gatewayCannotBeInlinedMultipleTimes"));
    if (chartIsInlinable) {
      ssSetInputPortOptimOpts(S, 0, SS_REUSABLE_AND_LOCAL);
      ssSetInputPortOptimOpts(S, 1, SS_REUSABLE_AND_LOCAL);
      ssSetInputPortOptimOpts(S, 2, SS_REUSABLE_AND_LOCAL);
      sf_mark_chart_expressionable_inputs(S,"GNCSystem_SM_pitch",
        "GNCSystem_SM_pitch",2,3);
      sf_mark_chart_reusable_outputs(S,"GNCSystem_SM_pitch","GNCSystem_SM_pitch",
        2,2);
    }

    sf_set_rtw_dwork_info(S,"GNCSystem_SM_pitch","GNCSystem_SM_pitch",2);
    ssSetHasSubFunctions(S,!(chartIsInlinable));
  } else {
  }

  ssSetOptions(S,ssGetOptions(S)|SS_OPTION_WORKS_WITH_CODE_REUSE);
  ssSetChecksum0(S,(3755740628U));
  ssSetChecksum1(S,(913937634U));
  ssSetChecksum2(S,(3804511796U));
  ssSetChecksum3(S,(3973561475U));
  ssSetmdlDerivatives(S, NULL);
  ssSetExplicitFCSSCtrl(S,1);
}

static void mdlRTW_c2_GNCSystem_SM_pitch(SimStruct *S)
{
  if (sim_mode_is_rtw_gen(S)) {
    sf_write_symbol_mapping(S, "GNCSystem_SM_pitch", "GNCSystem_SM_pitch",2);
    ssWriteRTWStrParam(S, "StateflowChartType", "Embedded MATLAB");
  }
}

static void mdlStart_c2_GNCSystem_SM_pitch(SimStruct *S)
{
  SFc2_GNCSystem_SM_pitchInstanceStruct *chartInstance;
  chartInstance = (SFc2_GNCSystem_SM_pitchInstanceStruct *)malloc(sizeof
    (SFc2_GNCSystem_SM_pitchInstanceStruct));
  memset(chartInstance, 0, sizeof(SFc2_GNCSystem_SM_pitchInstanceStruct));
  if (chartInstance==NULL) {
    sf_mex_error_message("Could not allocate memory for chart instance.");
  }

  chartInstance->chartInfo.chartInstance = chartInstance;
  chartInstance->chartInfo.isEMLChart = 1;
  chartInstance->chartInfo.chartInitialized = 0;
  chartInstance->chartInfo.sFunctionGateway =
    sf_opaque_gateway_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.initializeChart =
    sf_opaque_initialize_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.terminateChart =
    sf_opaque_terminate_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.enableChart = sf_opaque_enable_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.disableChart =
    sf_opaque_disable_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.getSimState =
    sf_opaque_get_sim_state_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.setSimState =
    sf_opaque_set_sim_state_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.getSimStateInfo =
    sf_get_sim_state_info_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.zeroCrossings = NULL;
  chartInstance->chartInfo.outputs = NULL;
  chartInstance->chartInfo.derivatives = NULL;
  chartInstance->chartInfo.mdlRTW = mdlRTW_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.mdlStart = mdlStart_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.mdlSetWorkWidths =
    mdlSetWorkWidths_c2_GNCSystem_SM_pitch;
  chartInstance->chartInfo.extModeExec = NULL;
  chartInstance->chartInfo.restoreLastMajorStepConfiguration = NULL;
  chartInstance->chartInfo.restoreBeforeLastMajorStepConfiguration = NULL;
  chartInstance->chartInfo.storeCurrentConfiguration = NULL;
  chartInstance->S = S;
  ssSetUserData(S,(void *)(&(chartInstance->chartInfo)));/* register the chart instance with simstruct */
  init_dsm_address_info(chartInstance);
  if (!sim_mode_is_rtw_gen(S)) {
  }

  sf_opaque_init_subchart_simstructs(chartInstance->chartInfo.chartInstance);
  chart_debug_initialization(S,1);
}

void c2_GNCSystem_SM_pitch_method_dispatcher(SimStruct *S, int_T method, void
  *data)
{
  switch (method) {
   case SS_CALL_MDL_START:
    mdlStart_c2_GNCSystem_SM_pitch(S);
    break;

   case SS_CALL_MDL_SET_WORK_WIDTHS:
    mdlSetWorkWidths_c2_GNCSystem_SM_pitch(S);
    break;

   case SS_CALL_MDL_PROCESS_PARAMETERS:
    mdlProcessParameters_c2_GNCSystem_SM_pitch(S);
    break;

   default:
    /* Unhandled method */
    sf_mex_error_message("Stateflow Internal Error:\n"
                         "Error calling c2_GNCSystem_SM_pitch_method_dispatcher.\n"
                         "Can't handle method %d.\n", method);
    break;
  }
}
